// file: hc_set_3.cc
//
 
// isip include files
//
#include "hash_cell.h"
#include "hash_cell_constants.h"
 
// method: set_cc
//
// arguments: 
//  char_1* key_str : (input) the key_str to set
//  void_p item : (input) the void item pointer to set
//
// return: a logical_1 indicating success
//
// this method sets the key string and the item pointer
//
logical_1 Hash_cell::set_cc(char_1* key_str_a, void_p item_a) {

  // free existing memory
  //
  if (key_str_d != (char_1*)NULL) {
    delete [] key_str_d;
  }

  // copy new key string
  //
  key_str_d = new char_1[strlen((char*)key_str_a) + (int_4)1];
  strcpy((char*)key_str_d, (char*)key_str_a);

  // set the item pointer
  //
  item_d = item_a;
    
  // exit gracefully
  //
  return ISIP_TRUE;
}


